Cyberduck Mountain Duck CLI

#10765 closed defect (fixed)

Crash when loading profile two times

Reported by: 6meon Owned by: dkocher
Priority: high Milestone: 7.1
Component: core Version: 7.0.1
Severity: normal Keywords: crash profile windows
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by 6meon)

Hello team,

I found a bug with public Infomaniak profile, leading to an application crash. I've tested it on a all new Windows 10 VM and one of our customer reported us the same problem.

Here is the way to reproduce the bug
1/ Download Infomaniak custom connection profile on https://trac.cyberduck.io/wiki/help/en/howto/infomaniak
2/ Use it, it will create a new bookmark "Infomaniak Swiss Backup"
3/ Delete the bookmark
4/ Reload the profile from Windows explorer => profile window doesn't appear like first time
5/ Click on "+" button to add profile, it cause application crash.

I join a small video to show the problem.

Here is also the log from last crash :

-----------------------------
[General Info]

Application: Cyberduck
Version:     7.0.1.30930
Region:      English (Switzerland)
Machine:     DESKTOP-41OU13C
User:        Infomaniak
Date: 15/07/2019
Time: 16:09

User Explanation:

Infomaniak said "" 
-----------------------------

[Exception Info 1]

Top-level Exception
Type:        System.Collections.Generic.KeyNotFoundException
Message:     The given key was not present in the dictionary.
Source:      Cyberduck
Stack Trace: at Ch.Cyberduck.Ui.Controller.AsyncController.invoke(MainAction runnable, Boolean wait)
   at Ch.Cyberduck.Ui.Controller.WindowController.invoke(MainAction mainAction, Boolean wait)
   at Ch.Cyberduck.Ui.Controller.BookmarkModel.BookmarkListener.collectionItemAdded(Object host)
   at ch.cyberduck.core.Collection.collectionItemAdded(Object item)
   at ch.cyberduck.core.AbstractHostCollection.collectionItemAdded(Host item)
   at ch.cyberduck.core.AbstractFolderHostCollection.collectionItemAdded(Host bookmark)
   at ch.cyberduck.core.FolderBookmarkCollection.collectionItemAdded(Host bookmark)
   at ch.cyberduck.core.FolderBookmarkCollection.1.collectionItemAdded(Host )
   at ch.cyberduck.core.FolderBookmarkCollection.1.collectionItemAdded(Object )
   at ch.cyberduck.core.Collection.add(Object object)
   at ch.cyberduck.core.AbstractHostCollection.add(Host host)
   at Ch.Cyberduck.Ui.Controller.BrowserController.AddBookmark(Host item, Int32 index)
   at Ch.Cyberduck.Ui.Controller.BrowserController.View_NewBookmark()
   at Ch.Cyberduck.Ui.Winforms.BrowserForm.<ConfigureBookmarkCommands>b__560_10(Object sender, EventArgs args)
   at System.Windows.Forms.ToolStripItem.RaiseEvent(Object key, EventArgs e)
   at System.Windows.Forms.ToolStripButton.OnClick(EventArgs e)
   at System.Windows.Forms.ToolStripItem.HandleClick(EventArgs e)
   at System.Windows.Forms.ToolStripItem.HandleMouseUp(MouseEventArgs e)
   at System.Windows.Forms.ToolStripItem.FireEventInteractive(EventArgs e, ToolStripItemEventType met)
   at System.Windows.Forms.ToolStripItem.FireEvent(EventArgs e, ToolStripItemEventType met)
   at System.Windows.Forms.ToolStrip.OnMouseUp(MouseEventArgs mea)
   at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
   at System.Windows.Forms.ToolStrip.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

-----------------------------

[Assembly Info]

mscorlib, Version=4.0.0.0
System, Version=4.0.0.0
System.Windows.Forms, Version=4.0.0.0
System.Drawing, Version=4.0.0.0
Cyberduck.Protocols, Version=7.0.1.30930
System.ServiceModel, Version=4.0.0.0
StructureMap, Version=2.6.1.0
Cyberduck.Core, Version=7.0.1.30930
Cyberduck.Core.Native, Version=7.0.1.30930
ObjectListView, Version=2.5.1.35588
CustomOpenFileFolderDialog, Version=0.0.0.0
IKVM.OpenJDK.Core, Version=8.1.6990.0
System.Design, Version=4.0.0.0
Cyberduck.Bonjour.Native, Version=7.0.1.30930
Microsoft.WindowsAPICodePack.Shell, Version=1.1.0.0
Cyberduck.Importer, Version=7.0.1.30930
System.Core, Version=4.0.0.0
System.Xml, Version=4.0.0.0
IKVM.Runtime, Version=8.1.6990.0
Cyberduck.Bonjour, Version=7.0.1.30930
Cyberduck.Cryptomator, Version=7.0.1.30930
Windows, Version=255.255.255.255
IKVM.OpenJDK.Security, Version=8.1.6990.0
IKVM.OpenJDK.Text, Version=8.1.6990.0
System.Web, Version=4.0.0.0

-----------------------------

[System Info]

Operating System
-Microsoft Windows 10 Pro
--CodeSet = 1252
--CSDVersion = 
--CurrentTimeZone = 120
--FreePhysicalMemory = 10219604
--OSArchitecture = 64-bit
--OSLanguage = 2057
--ServicePackMajorVersion = 0
--ServicePackMinorVersion = 0
--Version = 10.0.17763

Machine
-DESKTOP-41OU13C
--Manufacturer = OpenStack Foundation
--Model = OpenStack Nova
--TotalPhysicalMemory = 12884361216
--UserName = 

-----------------------------

Thank you for your support, and have a nice day !
Best regards,

Attachments (1)

Change History (8)

comment:1 Changed on Jul 22, 2019 at 1:51:21 PM by 6meon

  • Description modified (diff)

comment:2 Changed on Jul 22, 2019 at 1:53:23 PM by 6meon

  • Description modified (diff)

comment:3 Changed on Jul 22, 2019 at 2:38:12 PM by dkocher

  • Milestone set to 7.0.2
  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on Jul 22, 2019 at 2:40:38 PM by dkocher

  • Summary changed from Cyberduck crash on Windows when loading profile two times. to Crash when loading profile two times

comment:5 Changed on Jul 22, 2019 at 4:02:03 PM by dkocher

Not reproducible on macOS.

comment:6 Changed on Jul 24, 2019 at 8:28:59 PM by dkocher

  • Milestone changed from 7.0.2 to 7.1

Ticket retargeted after milestone closed

comment:7 Changed on Sep 1, 2019 at 7:51:27 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r47630.

Note: See TracTickets for help on using tickets.
swiss made software